Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
fc52::/16
First address
fc52::
Last address
fc52:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
fc52:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
2.5.c.f.ip6.arpa
Split into smaller subnets/32

fc52::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
1fc52::/32fc52:0:ffff:ffff:ffff:ffff:ffff:ffff
2fc52:1::/32fc52:1:ffff:ffff:ffff:ffff:ffff:ffff
3fc52:2::/32fc52:2:ffff:ffff:ffff:ffff:ffff:ffff
4fc52:3::/32fc52:3:ffff:ffff:ffff:ffff:ffff:ffff
5fc52:4::/32fc52:4:ffff:ffff:ffff:ffff:ffff:ffff
6fc52:5::/32fc52:5:ffff:ffff:ffff:ffff:ffff:ffff
7fc52:6::/32fc52:6:ffff:ffff:ffff:ffff:ffff:ffff
8fc52:7::/32fc52:7:ffff:ffff:ffff:ffff:ffff:ffff
9fc52:8::/32fc52:8:ffff:ffff:ffff:ffff:ffff:ffff
10fc52:9::/32fc52:9:ffff:ffff:ffff:ffff:ffff:ffff
11fc52:a::/32fc52:a:ffff:ffff:ffff:ffff:ffff:ffff
12fc52:b::/32fc52:b:ffff:ffff:ffff:ffff:ffff:ffff
13fc52:c::/32fc52:c:ffff:ffff:ffff:ffff:ffff:ffff
14fc52:d::/32fc52:d:ffff:ffff:ffff:ffff:ffff:ffff
15fc52:e::/32fc52:e:ffff:ffff:ffff:ffff:ffff:ffff
16fc52:f::/32fc52:f:ffff:ffff:ffff:ffff:ffff:ffff
17fc52:10::/32fc52:10:ffff:ffff:ffff:ffff:ffff:ffff
18fc52:11::/32fc52:11:ffff:ffff:ffff:ffff:ffff:ffff
19fc52:12::/32fc52:12:ffff:ffff:ffff:ffff:ffff:ffff
20fc52:13::/32fc52:13:ffff:ffff:ffff:ffff:ffff:ffff
21fc52:14::/32fc52:14:ffff:ffff:ffff:ffff:ffff:ffff
22fc52:15::/32fc52:15:ffff:ffff:ffff:ffff:ffff:ffff
23fc52:16::/32fc52:16:ffff:ffff:ffff:ffff:ffff:ffff
24fc52:17::/32fc52:17:ffff:ffff:ffff:ffff:ffff:ffff
25fc52:18::/32fc52:18:ffff:ffff:ffff:ffff:ffff:ffff
26fc52:19::/32fc52:19:ffff:ffff:ffff:ffff:ffff:ffff
27fc52:1a::/32fc52:1a:ffff:ffff:ffff:ffff:ffff:ffff
28fc52:1b::/32fc52:1b:ffff:ffff:ffff:ffff:ffff:ffff
29fc52:1c::/32fc52:1c:ffff:ffff:ffff:ffff:ffff:ffff
30fc52:1d::/32fc52:1d:ffff:ffff:ffff:ffff:ffff:ffff
31fc52:1e::/32fc52:1e:ffff:ffff:ffff:ffff:ffff:ffff
32fc52:1f::/32fc52:1f:ffff:ffff:ffff:ffff:ffff:ffff
33fc52:20::/32fc52:20:ffff:ffff:ffff:ffff:ffff:ffff
34fc52:21::/32fc52:21:ffff:ffff:ffff:ffff:ffff:ffff
35fc52:22::/32fc52:22:ffff:ffff:ffff:ffff:ffff:ffff
36fc52:23::/32fc52:23:ffff:ffff:ffff:ffff:ffff:ffff
37fc52:24::/32fc52:24:ffff:ffff:ffff:ffff:ffff:ffff
38fc52:25::/32fc52:25:ffff:ffff:ffff:ffff:ffff:ffff
39fc52:26::/32fc52:26:ffff:ffff:ffff:ffff:ffff:ffff
40fc52:27::/32fc52:27:ffff:ffff:ffff:ffff:ffff:ffff
41fc52:28::/32fc52:28:ffff:ffff:ffff:ffff:ffff:ffff
42fc52:29::/32fc52:29:ffff:ffff:ffff:ffff:ffff:ffff
43fc52:2a::/32fc52:2a:ffff:ffff:ffff:ffff:ffff:ffff
44fc52:2b::/32fc52:2b:ffff:ffff:ffff:ffff:ffff:ffff
45fc52:2c::/32fc52:2c:ffff:ffff:ffff:ffff:ffff:ffff
46fc52:2d::/32fc52:2d:ffff:ffff:ffff:ffff:ffff:ffff
47fc52:2e::/32fc52:2e:ffff:ffff:ffff:ffff:ffff:ffff
48fc52:2f::/32fc52:2f:ffff:ffff:ffff:ffff:ffff:ffff
49fc52:30::/32fc52:30:ffff:ffff:ffff:ffff:ffff:ffff
50fc52:31::/32fc52:31:ffff:ffff:ffff:ffff:ffff:ffff
51fc52:32::/32fc52:32:ffff:ffff:ffff:ffff:ffff:ffff
52fc52:33::/32fc52:33:ffff:ffff:ffff:ffff:ffff:ffff
53fc52:34::/32fc52:34:ffff:ffff:ffff:ffff:ffff:ffff
54fc52:35::/32fc52:35:ffff:ffff:ffff:ffff:ffff:ffff
55fc52:36::/32fc52:36:ffff:ffff:ffff:ffff:ffff:ffff
56fc52:37::/32fc52:37:ffff:ffff:ffff:ffff:ffff:ffff
57fc52:38::/32fc52:38:ffff:ffff:ffff:ffff:ffff:ffff
58fc52:39::/32fc52:39:ffff:ffff:ffff:ffff:ffff:ffff
59fc52:3a::/32fc52:3a:ffff:ffff:ffff:ffff:ffff:ffff
60fc52:3b::/32fc52:3b:ffff:ffff:ffff:ffff:ffff:ffff
61fc52:3c::/32fc52:3c:ffff:ffff:ffff:ffff:ffff:ffff
62fc52:3d::/32fc52:3d:ffff:ffff:ffff:ffff:ffff:ffff
63fc52:3e::/32fc52:3e:ffff:ffff:ffff:ffff:ffff:ffff
64fc52:3f::/32fc52:3f:ffff:ffff:ffff:ffff:ffff:ffff
65fc52:40::/32fc52:40:ffff:ffff:ffff:ffff:ffff:ffff
66fc52:41::/32fc52:41:ffff:ffff:ffff:ffff:ffff:ffff
67fc52:42::/32fc52:42:ffff:ffff:ffff:ffff:ffff:ffff
68fc52:43::/32fc52:43:ffff:ffff:ffff:ffff:ffff:ffff
69fc52:44::/32fc52:44:ffff:ffff:ffff:ffff:ffff:ffff
70fc52:45::/32fc52:45:ffff:ffff:ffff:ffff:ffff:ffff
71fc52:46::/32fc52:46:ffff:ffff:ffff:ffff:ffff:ffff
72fc52:47::/32fc52:47:ffff:ffff:ffff:ffff:ffff:ffff
73fc52:48::/32fc52:48:ffff:ffff:ffff:ffff:ffff:ffff
74fc52:49::/32fc52:49:ffff:ffff:ffff:ffff:ffff:ffff
75fc52:4a::/32fc52:4a:ffff:ffff:ffff:ffff:ffff:ffff
76fc52:4b::/32fc52:4b:ffff:ffff:ffff:ffff:ffff:ffff
77fc52:4c::/32fc52:4c:ffff:ffff:ffff:ffff:ffff:ffff
78fc52:4d::/32fc52:4d:ffff:ffff:ffff:ffff:ffff:ffff
79fc52:4e::/32fc52:4e:ffff:ffff:ffff:ffff:ffff:ffff
80fc52:4f::/32fc52:4f:ffff:ffff:ffff:ffff:ffff:ffff
81fc52:50::/32fc52:50:ffff:ffff:ffff:ffff:ffff:ffff
82fc52:51::/32fc52:51:ffff:ffff:ffff:ffff:ffff:ffff
83fc52:52::/32fc52:52:ffff:ffff:ffff:ffff:ffff:ffff
84fc52:53::/32fc52:53:ffff:ffff:ffff:ffff:ffff:ffff
85fc52:54::/32fc52:54:ffff:ffff:ffff:ffff:ffff:ffff
86fc52:55::/32fc52:55:ffff:ffff:ffff:ffff:ffff:ffff
87fc52:56::/32fc52:56:ffff:ffff:ffff:ffff:ffff:ffff
88fc52:57::/32fc52:57:ffff:ffff:ffff:ffff:ffff:ffff
89fc52:58::/32fc52:58:ffff:ffff:ffff:ffff:ffff:ffff
90fc52:59::/32fc52:59:ffff:ffff:ffff:ffff:ffff:ffff
91fc52:5a::/32fc52:5a:ffff:ffff:ffff:ffff:ffff:ffff
92fc52:5b::/32fc52:5b:ffff:ffff:ffff:ffff:ffff:ffff
93fc52:5c::/32fc52:5c:ffff:ffff:ffff:ffff:ffff:ffff
94fc52:5d::/32fc52:5d:ffff:ffff:ffff:ffff:ffff:ffff
95fc52:5e::/32fc52:5e:ffff:ffff:ffff:ffff:ffff:ffff
96fc52:5f::/32fc52:5f:ffff:ffff:ffff:ffff:ffff:ffff
97fc52:60::/32fc52:60:ffff:ffff:ffff:ffff:ffff:ffff
98fc52:61::/32fc52:61:ffff:ffff:ffff:ffff:ffff:ffff
99fc52:62::/32fc52:62:ffff:ffff:ffff:ffff:ffff:ffff
100fc52:63::/32fc52:63:ffff:ffff:ffff:ffff:ffff:ffff
101fc52:64::/32fc52:64:ffff:ffff:ffff:ffff:ffff:ffff
102fc52:65::/32fc52:65:ffff:ffff:ffff:ffff:ffff:ffff
103fc52:66::/32fc52:66:ffff:ffff:ffff:ffff:ffff:ffff
104fc52:67::/32fc52:67:ffff:ffff:ffff:ffff:ffff:ffff
105fc52:68::/32fc52:68:ffff:ffff:ffff:ffff:ffff:ffff
106fc52:69::/32fc52:69:ffff:ffff:ffff:ffff:ffff:ffff
107fc52:6a::/32fc52:6a:ffff:ffff:ffff:ffff:ffff:ffff
108fc52:6b::/32fc52:6b:ffff:ffff:ffff:ffff:ffff:ffff
109fc52:6c::/32fc52:6c:ffff:ffff:ffff:ffff:ffff:ffff
110fc52:6d::/32fc52:6d:ffff:ffff:ffff:ffff:ffff:ffff
111fc52:6e::/32fc52:6e:ffff:ffff:ffff:ffff:ffff:ffff
112fc52:6f::/32fc52:6f:ffff:ffff:ffff:ffff:ffff:ffff
113fc52:70::/32fc52:70:ffff:ffff:ffff:ffff:ffff:ffff
114fc52:71::/32fc52:71:ffff:ffff:ffff:ffff:ffff:ffff
115fc52:72::/32fc52:72:ffff:ffff:ffff:ffff:ffff:ffff
116fc52:73::/32fc52:73:ffff:ffff:ffff:ffff:ffff:ffff
117fc52:74::/32fc52:74:ffff:ffff:ffff:ffff:ffff:ffff
118fc52:75::/32fc52:75:ffff:ffff:ffff:ffff:ffff:ffff
119fc52:76::/32fc52:76:ffff:ffff:ffff:ffff:ffff:ffff
120fc52:77::/32fc52:77:ffff:ffff:ffff:ffff:ffff:ffff
121fc52:78::/32fc52:78:ffff:ffff:ffff:ffff:ffff:ffff
122fc52:79::/32fc52:79:ffff:ffff:ffff:ffff:ffff:ffff
123fc52:7a::/32fc52:7a:ffff:ffff:ffff:ffff:ffff:ffff
124fc52:7b::/32fc52:7b:ffff:ffff:ffff:ffff:ffff:ffff
125fc52:7c::/32fc52:7c:ffff:ffff:ffff:ffff:ffff:ffff
126fc52:7d::/32fc52:7d:ffff:ffff:ffff:ffff:ffff:ffff
127fc52:7e::/32fc52:7e:ffff:ffff:ffff:ffff:ffff:ffff
128fc52:7f::/32fc52:7f:ffff:ffff:ffff:ffff:ffff:ffff
129fc52:80::/32fc52:80:ffff:ffff:ffff:ffff:ffff:ffff
130fc52:81::/32fc52:81:ffff:ffff:ffff:ffff:ffff:ffff
131fc52:82::/32fc52:82:ffff:ffff:ffff:ffff:ffff:ffff
132fc52:83::/32fc52:83:ffff:ffff:ffff:ffff:ffff:ffff
133fc52:84::/32fc52:84:ffff:ffff:ffff:ffff:ffff:ffff
134fc52:85::/32fc52:85:ffff:ffff:ffff:ffff:ffff:ffff
135fc52:86::/32fc52:86:ffff:ffff:ffff:ffff:ffff:ffff
136fc52:87::/32fc52:87:ffff:ffff:ffff:ffff:ffff:ffff
137fc52:88::/32fc52:88:ffff:ffff:ffff:ffff:ffff:ffff
138fc52:89::/32fc52:89:ffff:ffff:ffff:ffff:ffff:ffff
139fc52:8a::/32fc52:8a:ffff:ffff:ffff:ffff:ffff:ffff
140fc52:8b::/32fc52:8b:ffff:ffff:ffff:ffff:ffff:ffff
141fc52:8c::/32fc52:8c:ffff:ffff:ffff:ffff:ffff:ffff
142fc52:8d::/32fc52:8d:ffff:ffff:ffff:ffff:ffff:ffff
143fc52:8e::/32fc52:8e:ffff:ffff:ffff:ffff:ffff:ffff
144fc52:8f::/32fc52:8f:ffff:ffff:ffff:ffff:ffff:ffff
145fc52:90::/32fc52:90:ffff:ffff:ffff:ffff:ffff:ffff
146fc52:91::/32fc52:91:ffff:ffff:ffff:ffff:ffff:ffff
147fc52:92::/32fc52:92:ffff:ffff:ffff:ffff:ffff:ffff
148fc52:93::/32fc52:93:ffff:ffff:ffff:ffff:ffff:ffff
149fc52:94::/32fc52:94:ffff:ffff:ffff:ffff:ffff:ffff
150fc52:95::/32fc52:95:ffff:ffff:ffff:ffff:ffff:ffff
151fc52:96::/32fc52:96:ffff:ffff:ffff:ffff:ffff:ffff
152fc52:97::/32fc52:97:ffff:ffff:ffff:ffff:ffff:ffff
153fc52:98::/32fc52:98:ffff:ffff:ffff:ffff:ffff:ffff
154fc52:99::/32fc52:99:ffff:ffff:ffff:ffff:ffff:ffff
155fc52:9a::/32fc52:9a:ffff:ffff:ffff:ffff:ffff:ffff
156fc52:9b::/32fc52:9b:ffff:ffff:ffff:ffff:ffff:ffff
157fc52:9c::/32fc52:9c:ffff:ffff:ffff:ffff:ffff:ffff
158fc52:9d::/32fc52:9d:ffff:ffff:ffff:ffff:ffff:ffff
159fc52:9e::/32fc52:9e:ffff:ffff:ffff:ffff:ffff:ffff
160fc52:9f::/32fc52:9f:ffff:ffff:ffff:ffff:ffff:ffff
161fc52:a0::/32fc52:a0:ffff:ffff:ffff:ffff:ffff:ffff
162fc52:a1::/32fc52:a1:ffff:ffff:ffff:ffff:ffff:ffff
163fc52:a2::/32fc52:a2:ffff:ffff:ffff:ffff:ffff:ffff
164fc52:a3::/32fc52:a3:ffff:ffff:ffff:ffff:ffff:ffff
165fc52:a4::/32fc52:a4:ffff:ffff:ffff:ffff:ffff:ffff
166fc52:a5::/32fc52:a5:ffff:ffff:ffff:ffff:ffff:ffff
167fc52:a6::/32fc52:a6:ffff:ffff:ffff:ffff:ffff:ffff
168fc52:a7::/32fc52:a7:ffff:ffff:ffff:ffff:ffff:ffff
169fc52:a8::/32fc52:a8:ffff:ffff:ffff:ffff:ffff:ffff
170fc52:a9::/32fc52:a9:ffff:ffff:ffff:ffff:ffff:ffff
171fc52:aa::/32fc52:aa:ffff:ffff:ffff:ffff:ffff:ffff
172fc52:ab::/32fc52:ab:ffff:ffff:ffff:ffff:ffff:ffff
173fc52:ac::/32fc52:ac:ffff:ffff:ffff:ffff:ffff:ffff
174fc52:ad::/32fc52:ad:ffff:ffff:ffff:ffff:ffff:ffff
175fc52:ae::/32fc52:ae:ffff:ffff:ffff:ffff:ffff:ffff
176fc52:af::/32fc52:af:ffff:ffff:ffff:ffff:ffff:ffff
177fc52:b0::/32fc52:b0:ffff:ffff:ffff:ffff:ffff:ffff
178fc52:b1::/32fc52:b1:ffff:ffff:ffff:ffff:ffff:ffff
179fc52:b2::/32fc52:b2:ffff:ffff:ffff:ffff:ffff:ffff
180fc52:b3::/32fc52:b3:ffff:ffff:ffff:ffff:ffff:ffff
181fc52:b4::/32fc52:b4:ffff:ffff:ffff:ffff:ffff:ffff
182fc52:b5::/32fc52:b5:ffff:ffff:ffff:ffff:ffff:ffff
183fc52:b6::/32fc52:b6:ffff:ffff:ffff:ffff:ffff:ffff
184fc52:b7::/32fc52:b7:ffff:ffff:ffff:ffff:ffff:ffff
185fc52:b8::/32fc52:b8:ffff:ffff:ffff:ffff:ffff:ffff
186fc52:b9::/32fc52:b9:ffff:ffff:ffff:ffff:ffff:ffff
187fc52:ba::/32fc52:ba:ffff:ffff:ffff:ffff:ffff:ffff
188fc52:bb::/32fc52:bb:ffff:ffff:ffff:ffff:ffff:ffff
189fc52:bc::/32fc52:bc:ffff:ffff:ffff:ffff:ffff:ffff
190fc52:bd::/32fc52:bd:ffff:ffff:ffff:ffff:ffff:ffff
191fc52:be::/32fc52:be:ffff:ffff:ffff:ffff:ffff:ffff
192fc52:bf::/32fc52:bf:ffff:ffff:ffff:ffff:ffff:ffff
193fc52:c0::/32fc52:c0:ffff:ffff:ffff:ffff:ffff:ffff
194fc52:c1::/32fc52:c1:ffff:ffff:ffff:ffff:ffff:ffff
195fc52:c2::/32fc52:c2:ffff:ffff:ffff:ffff:ffff:ffff
196fc52:c3::/32fc52:c3:ffff:ffff:ffff:ffff:ffff:ffff
197fc52:c4::/32fc52:c4:ffff:ffff:ffff:ffff:ffff:ffff
198fc52:c5::/32fc52:c5:ffff:ffff:ffff:ffff:ffff:ffff
199fc52:c6::/32fc52:c6:ffff:ffff:ffff:ffff:ffff:ffff
200fc52:c7::/32fc52:c7:ffff:ffff:ffff:ffff:ffff:ffff
201fc52:c8::/32fc52:c8:ffff:ffff:ffff:ffff:ffff:ffff
202fc52:c9::/32fc52:c9:ffff:ffff:ffff:ffff:ffff:ffff
203fc52:ca::/32fc52:ca:ffff:ffff:ffff:ffff:ffff:ffff
204fc52:cb::/32fc52:cb:ffff:ffff:ffff:ffff:ffff:ffff
205fc52:cc::/32fc52:cc:ffff:ffff:ffff:ffff:ffff:ffff
206fc52:cd::/32fc52:cd:ffff:ffff:ffff:ffff:ffff:ffff
207fc52:ce::/32fc52:ce:ffff:ffff:ffff:ffff:ffff:ffff
208fc52:cf::/32fc52:cf:ffff:ffff:ffff:ffff:ffff:ffff
209fc52:d0::/32fc52:d0:ffff:ffff:ffff:ffff:ffff:ffff
210fc52:d1::/32fc52:d1:ffff:ffff:ffff:ffff:ffff:ffff
211fc52:d2::/32fc52:d2:ffff:ffff:ffff:ffff:ffff:ffff
212fc52:d3::/32fc52:d3:ffff:ffff:ffff:ffff:ffff:ffff
213fc52:d4::/32fc52:d4:ffff:ffff:ffff:ffff:ffff:ffff
214fc52:d5::/32fc52:d5:ffff:ffff:ffff:ffff:ffff:ffff
215fc52:d6::/32fc52:d6:ffff:ffff:ffff:ffff:ffff:ffff
216fc52:d7::/32fc52:d7:ffff:ffff:ffff:ffff:ffff:ffff
217fc52:d8::/32fc52:d8:ffff:ffff:ffff:ffff:ffff:ffff
218fc52:d9::/32fc52:d9:ffff:ffff:ffff:ffff:ffff:ffff
219fc52:da::/32fc52:da:ffff:ffff:ffff:ffff:ffff:ffff
220fc52:db::/32fc52:db:ffff:ffff:ffff:ffff:ffff:ffff
221fc52:dc::/32fc52:dc:ffff:ffff:ffff:ffff:ffff:ffff
222fc52:dd::/32fc52:dd:ffff:ffff:ffff:ffff:ffff:ffff
223fc52:de::/32fc52:de:ffff:ffff:ffff:ffff:ffff:ffff
224fc52:df::/32fc52:df:ffff:ffff:ffff:ffff:ffff:ffff
225fc52:e0::/32fc52:e0:ffff:ffff:ffff:ffff:ffff:ffff
226fc52:e1::/32fc52:e1:ffff:ffff:ffff:ffff:ffff:ffff
227fc52:e2::/32fc52:e2:ffff:ffff:ffff:ffff:ffff:ffff
228fc52:e3::/32fc52:e3:ffff:ffff:ffff:ffff:ffff:ffff
229fc52:e4::/32fc52:e4:ffff:ffff:ffff:ffff:ffff:ffff
230fc52:e5::/32fc52:e5:ffff:ffff:ffff:ffff:ffff:ffff
231fc52:e6::/32fc52:e6:ffff:ffff:ffff:ffff:ffff:ffff
232fc52:e7::/32fc52:e7:ffff:ffff:ffff:ffff:ffff:ffff
233fc52:e8::/32fc52:e8:ffff:ffff:ffff:ffff:ffff:ffff
234fc52:e9::/32fc52:e9:ffff:ffff:ffff:ffff:ffff:ffff
235fc52:ea::/32fc52:ea:ffff:ffff:ffff:ffff:ffff:ffff
236fc52:eb::/32fc52:eb:ffff:ffff:ffff:ffff:ffff:ffff
237fc52:ec::/32fc52:ec:ffff:ffff:ffff:ffff:ffff:ffff
238fc52:ed::/32fc52:ed:ffff:ffff:ffff:ffff:ffff:ffff
239fc52:ee::/32fc52:ee:ffff:ffff:ffff:ffff:ffff:ffff
240fc52:ef::/32fc52:ef:ffff:ffff:ffff:ffff:ffff:ffff
241fc52:f0::/32fc52:f0:ffff:ffff:ffff:ffff:ffff:ffff
242fc52:f1::/32fc52:f1:ffff:ffff:ffff:ffff:ffff:ffff
243fc52:f2::/32fc52:f2:ffff:ffff:ffff:ffff:ffff:ffff
244fc52:f3::/32fc52:f3:ffff:ffff:ffff:ffff:ffff:ffff
245fc52:f4::/32fc52:f4:ffff:ffff:ffff:ffff:ffff:ffff
246fc52:f5::/32fc52:f5:ffff:ffff:ffff:ffff:ffff:ffff
247fc52:f6::/32fc52:f6:ffff:ffff:ffff:ffff:ffff:ffff
248fc52:f7::/32fc52:f7:ffff:ffff:ffff:ffff:ffff:ffff
249fc52:f8::/32fc52:f8:ffff:ffff:ffff:ffff:ffff:ffff
250fc52:f9::/32fc52:f9:ffff:ffff:ffff:ffff:ffff:ffff
251fc52:fa::/32fc52:fa:ffff:ffff:ffff:ffff:ffff:ffff
252fc52:fb::/32fc52:fb:ffff:ffff:ffff:ffff:ffff:ffff
253fc52:fc::/32fc52:fc:ffff:ffff:ffff:ffff:ffff:ffff
254fc52:fd::/32fc52:fd:ffff:ffff:ffff:ffff:ffff:ffff
255fc52:fe::/32fc52:fe:ffff:ffff:ffff:ffff:ffff:ffff
256fc52:ff::/32fc52:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses